Atomically cancel one of the user's open quotes and quote its request anew.
curl --request POST \
--url https://api.symbiosis.markets/rfq/replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 1
}
'import requests
url = "https://api.symbiosis.markets/rfq/replace"
payload = {
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({offer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', price: 1})
};
fetch('https://api.symbiosis.markets/rfq/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}RFQ
Atomically cancel one of the user's open quotes and quote its request anew.
POST
/
rfq
/
replace
Atomically cancel one of the user's open quotes and quote its request anew.
curl --request POST \
--url https://api.symbiosis.markets/rfq/replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 1
}
'import requests
url = "https://api.symbiosis.markets/rfq/replace"
payload = {
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({offer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', price: 1})
};
fetch('https://api.symbiosis.markets/rfq/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Body
application/json
A quote's globally unique id. Server-assigned, never reused.
A price in USDC per outcome token, scaled by 1e6.
650000 is 0.65 USDC. Prices are strictly between 0 and 1000000. A trade's USDC notional is floor(price × amount / 1000000).
Required range:
x >= 0